gdata.tlslite.utils.Python_RC4 | index /usr/local/google/home/afshar/src/external-gdata-release/google3/src/gdata/tlslite/utils/Python_RC4.py

`Pure-Python RC4 implementation.`

Modules

``

Crypto array | base64 binascii | math os | sys traceback

Classes

``

gdata.tlslite.utils.RC4.RC4
  Python_RC4

class Python_RC4(gdata.tlslite.utils.RC4.RC4)

``

Methods defined here:

__init__(self, key)

decrypt(self, ciphertext)

encrypt(self, plaintext)

Functions

``

new(key)

sha1 = openssl_sha1(...)
  `Returns a sha1 hash object; optionally initialized with a string`

Data
`` |  | cryptlibpyLoaded = False gmpyLoaded = False m2cryptoLoaded = False prngName = 'os.urandom' pycryptoLoaded = True sieve = [2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41, 43, 47, 53, 59, 61, 67, 71, ...]